<style src="./Report.scss" lang="scss" ></style>
<script src="./Report.js"></script>

<template>
  <div class="m-content">
    <div class="selector-attributes-report row">
      <div class="col-md-12">
        <div
          class="m-portlet__nav-item m-dropdown m-dropdown--inline m-dropdown--arrow m-dropdown--align-right m-dropdown--align-push"
          m-dropdown-toggle="click"
          aria-expanded="true"
          style="float: right; position: relative; top: -42px; margin-bottom: -30px;"
        >
          <a
            href="#"
            class="m-portlet__nav-link m-portlet__nav-link--icon m-dropdown__toggle m--top-action nt-button nt-button-top nt-button-warning m-portlet__nav-item"
          >
            <i class="icon icon-settings"></i>
            Ẩn, hiện báo cáo
          </a>
          <div class="m-dropdown__wrapper" style="margin-right: 0;">
            <span class="m-dropdown__arrow m-dropdown__arrow--right m-dropdown__arrow--adjust"></span>
            <div class="m-dropdown__inner">
              <div class="m-dropdown__body">
                <div class="m-dropdown__content" style="position: relative;">
                  <div
                    v-if="isLoader"
                    style="position: absolute;left: 0px;top: 0px;width: 100%;height: 100%;background: #ffffff8a;z-index: 12;"
                  >
                    <div
                      class="m-loader m-loader--brand m-loader--lg"
                      style="width: 30px; height: 30px; display: inline-block; position:absolute; left:50%; top:50%; transform: translate(-50%, -50%);"
                    ></div>
                  </div>
                  <div v-for="(attribute, index) in attributeCustomerUsingReports" :key="index">
                    <template
                      v-if="attributeCustomerUsingReports && attributeCustomerUsingReports.length > 0"
                    ></template>
                    <label class="m-checkbox m-checkbox--primary m--margin-bottom-15">
                      <input
                        v-model="attributesReportCheckedIds"
                        type="checkbox"
                        checked
                        :value="attribute.id"
                        @change="checkedAttributeShowHide(attribute.id)"
                      />
                      <span></span>
                      {{ attribute.attribute_name }}
                    </label>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div>
      <div
        v-if="isLoader"
        style="position: fixed;left: 0px;top: 60px;width: 100%;height: calc(100% - 60px);background: #ffffff8a;z-index: 12;"
      >
        <div
          class="m-loader m-loader--brand m-loader--lg"
          style="width: 30px; height: 30px; display: inline-block; position:absolute; left:50%; top:50%; transform: translate(-50%, -50%);"
        ></div>
      </div>
      <div v-else>
        <TopStats :data="topReports"></TopStats>
      </div>
    </div>

    <div>
      <div
        v-if="loadingDataChart"
        style="position: fixed;left: 0px;top: 60px;width: 100%;height: calc(100% - 60px);background: #ffffff8a;z-index: 12;"
      >
        <div
          class="m-loader m-loader--brand m-loader--lg"
          style="width: 30px; height: 30px; display: inline-block; position:absolute; left:50%; top:50%; transform: translate(-50%, -50%);"
        ></div>
      </div>
      <div>
        <HardChart
          :chartId="chartId"
          :chartName="chartName"
          @ChangeDateTimeSelect="ChangeDateTimeSelect"
        ></HardChart>
      </div>
    </div>

    <div class="row" style="margin-top: 20px;">
      <div class="col-md-12">
        <customer-reports :attributeIds="attributesReportCheckedIds"></customer-reports>
      </div>
    </div>
  </div>
</template>
